'use strict';

angular.module('qusion.data.datasource', [
])
    .service('DataSource', [
        '$cacheFactory',
        function() {
            var cache = $cacheFactory('DataSource');

            var query = function(url, params) {
                var promise = $http({
                    method: 'GET',
                    url: url,
                    params: params
                })
                    .success(function(data, status, headers, config) {

                    })
                    .error(function(data, status, headers, config) {

                    });

                return promise;
            };

            return {
                query: query
            };
        }
    ]);